CVE-2018-10911

Published: 04 September 2018

A flaw was found in the way dic_unserialize function of glusterfs does not handle negative key length values. An attacker could use this flaw to read memory from other locations into the stored dict value.

From the Ubuntu security team

It was discovered that GlusterFS incorrectly handled negative key length values. An attacker could possibly use this issue to obtain sensitive information.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
glusterfs
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Not vulnerable
(4.1.4-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(4.1.4-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(4.1.4-1)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Needed